Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
Lucene::FSLockFactory Class Reference

Base class for file system based locking implementation. More...

`#include <FSLockFactory.h>`

Inheritance diagram for Lucene::FSLockFactory:

## Public Member Functions

virtual | ~FSLockFactory ()
virtual String | getClassName ()
boost::shared_ptr< FSLockFactory > | shared_from_this ()
void | setLockDir (const String &lockDir)
| Set the lock directory. This method can be only called once to initialize the lock directory. It is used by FSDirectory to set the lock directory to itself. Subclasses can also use this method to set the directory in the constructor. More...
String | getLockDir ()
| Retrieve the lock directory. More...
Public Member Functions inherited from Lucene::LockFactory
virtual | ~LockFactory ()
boost::shared_ptr< LockFactory > | shared_from_this ()
virtual void | setLockPrefix (const String &lockPrefix)
| Set the prefix in use for all locks created in this LockFactory. This is normally called once, when a Directory gets this LockFactory instance. However, you can also call this (after this instance is assigned to a Directory) to override the prefix in use. This is helpful if you're running Lucene on machines that have different mount points for the same shared directory. More...
virtual String | getLockPrefix ()
| Get the prefix in use for all locks created in this LockFactory. More...
virtual LockPtr | makeLock (const String &lockName)=0
| Return a new Lock instance identified by lockName. More...
virtual void | clearLock (const String &lockName)=0
| Attempt to clear (forcefully unlock and remove) the specified lock. Only call this at a time when you are certain this lock is no longer in use. More...
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed. More...
virtual LuceneObjectPtr | clone (LuceneObjectPtr other=LuceneObjectPtr())
| Return clone of this object. More...
virtual int32_t | hashCode ()
| Return hash code for this object. More...
virtual bool | equals (LuceneObjectPtr other)
| Return whether two objects are equal. More...
virtual int32_t | compareTo (LuceneObjectPtr other)
| Compare two objects. More...
virtual String | toString ()
| Returns a string representation of the object. More...
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock. More...
virtual LuceneSignalPtr | getSignal ()
| Return this object signal. More...
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout. More...
virtual void | unlock ()
| Unlock this object. More...
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread. More...
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout. More...
virtual void | notifyAll ()
| Notify all threads waiting for signal. More...

## Static Public Member Functions

static String | _getClassName ()
Static Public Member Functions inherited from Lucene::LockFactory
static String | _getClassName ()

## Protected Member Functions

| FSLockFactory ()

## Protected Attributes

String | lockDir
| Directory for the lock files. More...
Protected Attributes inherited from Lucene::LockFactory
String | lockPrefix

## Detailed Description

Base class for file system based locking implementation.

## Constructor & Destructor Documentation

Lucene::FSLockFactory::FSLockFactory | ( | ) |  |

protected

virtual Lucene::FSLockFactory::~FSLockFactory | ( | ) |  |

virtual

## Member Function Documentation

static String Lucene::FSLockFactory::_getClassName | ( | ) |  |

inline static

virtual String Lucene::FSLockFactory::getClassName | ( | ) |  |

inline virtual

Reimplemented from Lucene::LockFactory.

Reimplemented in Lucene::SimpleFSLockFactory, and Lucene::NativeFSLockFactory.

String Lucene::FSLockFactory::getLockDir | ( | ) |  |

Retrieve the lock directory.

void Lucene::FSLockFactory::setLockDir | ( | const String & | lockDir) |  |

Set the lock directory. This method can be only called once to initialize the lock directory. It is used by FSDirectory to set the lock directory to itself. Subclasses can also use this method to set the directory in the constructor.

boost::shared_ptr< FSLockFactory > Lucene::FSLockFactory::shared_from_this | ( | ) |  |

inline

## Field Documentation

String Lucene::FSLockFactory::lockDir

protected

Directory for the lock files.

The documentation for this class was generated from the following file:

- FSLockFactory.h

clucene.sourceforge.net